Oracle MySQL Connectors DoS (2018 年 7 月 CPU)

medium Nessus Plugin ID 129004

Synopsis

遠端主機可能受到一個拒絕服務弱點的影響。

描述

遠端主機上安裝的 Oracle MySQL Connectors 為比 8.0.12 舊的 8.0.x 版或比 5.3.11 舊的 5.3.x 版。因此,會受到 2018 年 7 月重要修補程式更新公告所述一個拒絕服務弱點影響。此弱點與 OpenSSL 處理遞迴 ASN.1 結構的方式有關:給予有過量遞迴的特製輸入,攻擊者可藉以造成會導致拒絕服務的堆疊溢位。請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

根據 2018 年 7 月 Oracle 重大修補程式更新公告,套用適當的修補程式。

另請參閱

http://www.nessus.org/u?5103b2d3

Plugin 詳細資訊

嚴重性: Medium

ID: 129004

檔案名稱: oracle_mysql_connectors_cpu_jul_2018.nasl

版本: 1.5

類型: local

代理程式: windows, macosx, unix

系列: Misc.

已發布: 2019/9/19

已更新: 2022/4/11

組態: 啟用徹底檢查

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 5.1

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:N/AC:M/Au:N/C:N/I:N/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2018-0739

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:oracle:mysql_connectors

必要的 KB 項目: installed_sw/MySQL Connector

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2018/7/17

弱點發布日期: 2018/3/27

參考資訊

CVE: CVE-2018-0739

BID: 103518

IAVA: 2018-A-0229-S